Skip to content
Back to top
View this page

# Gifts

class telegram.Gifts(gifts, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represent a list of gifts.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal if their `gifts` are equal.

  Returned In

  `telegram.Bot.get_available_gifts()`

  Added in version 21.8.

  Parameters:

    gifts (Sequence[`Gift`]) – The sequence of gifts.

  gifts

    The sequence of gifts.

    Type:

      tuple[`Gift`]

  classmethod de_json(data, bot=None)

    See `telegram.TelegramObject.de_json()`.